icon

Sygic GPS Navigation for iOS - Regional apps

Regional paid Premium app without trial option.

Compatibility & Requirements

Sygic app requires you to have a compatible Apple iOS device.

Requires iOS 9.0 or later. Compatible with iPhone, iPad, and iPod Touch (6th generation). This app is optimized for iPhone 5s, iPhone 6, iPhone 6 Plus, 6S, 6S Plus, and iPhone 7/7 Plus/8/8 Plus and iPhone X/XS/XS Max and XR.

Please note: Wi-Fi only iPads do not have a GPS receiver built in. Sygic GPS Navigation requires GPS functionality. In this case, it is necessary to have an external Bluetooth GPS receiver paired with your iPad.

Nenašli jste řešení nebo odpověď?

Napište nám

Zpět na přehled

How to restore previous purchases?

Are you happy with Sygic GPS Navigation?

Share it please

Napište nám

Pokud jste nenašli odpovědi na Vaše dotazy v našich článcích, manuálech nebo videích, prosím kontaktujte nás vyplněním tohoto formuláře. Náš tým zákaznické podpory Vás bude kontaktovat v průběhu následujících 48 hodin.

Odesláno! V průběhu následujících 48 hodin Vás budeme kontaktovat.